using ProtoBuf;

namespace Quasar.Common.Messages
{
    [ProtoContract]
    public class BotKillerResult : IMessage
    {
        [ProtoMember(1)]
        public string ProcessName { get; set; }

        [ProtoMember(2)]
        public int ProcessId { get; set; }

        [ProtoMember(3)]
        public string FilePath { get; set; }

        [ProtoMember(4)]
        public string ThreatType { get; set; }

        [ProtoMember(5)]
        public string Mutex { get; set; }

        [ProtoMember(6)]
        public bool Killed { get; set; }

        [ProtoMember(7)]
        public string Message { get; set; }
    }
}
